Are saves in version 1.0 compatible with version 1.02 ?

Here's where all things related to Book III are being discussed!
Post Reply
User avatar
KarlXII
Fellowcraft Apprentice
Posts: 40
Joined: October 25th, 2010, 7:58 am
Location: Stockholm, Sweden

Are saves in version 1.0 compatible with version 1.02 ?

Post by KarlXII » April 11th, 2014, 11:29 pm

If I begin the game with version 1.0, do I need to restart when applying patch 1.02 ?

User avatar
SpottedShroom
Captain Magnate
Captain Magnate
Posts: 1371
Joined: June 4th, 2010, 6:18 pm

Re: Are saves in version 1.0 compatible with version 1.02 ?

Post by SpottedShroom » April 12th, 2014, 1:18 am

KarlXII wrote:If I begin the game with version 1.0, do I need to restart when applying patch 1.02 ?
This is not an official answer, but nothing in the changelog should affect the save file formats. I would be very surprised if saves from 1.0 didn't work correctly with 1.02.

User avatar
KarlXII
Fellowcraft Apprentice
Posts: 40
Joined: October 25th, 2010, 7:58 am
Location: Stockholm, Sweden

Re: Are saves in version 1.0 compatible with version 1.02 ?

Post by KarlXII » April 12th, 2014, 1:32 am

Good to know since I have been afraid of starting up the game before the GOG patch arrives. As long as I will benefit from the changes in version 1.021 when those are applied I can start up the game right now.

User avatar
AK_Marty
Officer [Bronze Rank]
Officer [Bronze Rank]
Posts: 262
Joined: June 28th, 2008, 3:33 pm
Location: Alaska The Great Land

Re: Are saves in version 1.0 compatible with version 1.02 ?

Post by AK_Marty » April 12th, 2014, 1:01 pm

GoG says they are serving 2.0 now. I installed it last night, ran old saves without any problem.
Alaska Marty
"It looks a lot more like it does now than it used to!"

User avatar
KarlXII
Fellowcraft Apprentice
Posts: 40
Joined: October 25th, 2010, 7:58 am
Location: Stockholm, Sweden

Re: Are saves in version 1.0 compatible with version 1.02 ?

Post by KarlXII » April 12th, 2014, 1:29 pm

AK_Marty wrote:GoG says they are serving 2.0 now. I installed it last night, ran old saves without any problem.
It still says version 1.0R in the main menu. I don´t think they´ve updated it yet.

User avatar
Sslaxx
Council Member
Posts: 169
Joined: April 28th, 2008, 3:53 pm
Location: Malvern, UK
Contact:

Re: Are saves in version 1.0 compatible with version 1.02 ?

Post by Sslaxx » April 12th, 2014, 7:32 pm

AK_Marty wrote:GoG says they are serving 2.0 now. I installed it last night, ran old saves without any problem.
That refers to the version of their installer, not the version of the game itself.
Stuart "Sslaxx" Moore.

User avatar
xolotl
Lieutenant
Lieutenant
Posts: 776
Joined: August 21st, 2008, 1:54 pm

Re: Are saves in version 1.0 compatible with version 1.02 ?

Post by xolotl » April 12th, 2014, 10:07 pm

One thing to keep in mind for mid-game upgrades: if you've already visited a map which contains some bugfixes, then your game will not include those bugfixes. For instance, the 1.021 release makes various changes to the "Omentor Temple" map. If you've already visited Omentor using 1.00, that savegame will never "pick up" the fixes in 1.021.

For this specific release (1.00 -> 1.021), there's really not many map fixes (and most of the map fixes are just aimed at making it harder for people to cheat, accidentally or on purpose), so it's not really a big deal in this case. If any future updates have more mapping changes, though, it might be worth keeping in mind.

Post Reply

Who is online

Users browsing this forum: No registered users and 6 guests